> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sportsapipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Player Endpoints

> 18 endpoints for AFL player data: profiles, career stats, trade history

## Player Endpoints (18)

All endpoints use base URL `https://v2.aussie-rules.sportsapipro.com`.

### Player Profile

```bash theme={null}
GET /api/players/:id
GET /api/players/:id/image
```

Returns player details: position, jumper number, height/weight, age.

### Career Statistics

```bash theme={null}
GET /api/players/:id/statistics
GET /api/players/:id/statistics/seasons
GET /api/players/:id/statistics/match-type?type=overall
```

### Player Attributes

```bash theme={null}
GET /api/players/:id/characteristics
GET /api/players/:id/national-team-statistics
GET /api/players/:id/attribute-overviews
GET /api/players/:id/last-year-summary
```

### Transfers / Draft History

```bash theme={null}
GET /api/players/:id/transfers
```

Trade and draft history for the player.

### Match History

```bash theme={null}
GET /api/players/:id/unique-tournaments
GET /api/players/:id/events/last/:page
GET /api/players/:id/events/next/:page
```

### Media

```bash theme={null}
GET /api/players/:id/media
GET /api/players/:id/media/videos
```

### Season-Specific Stats

```bash theme={null}
GET /api/players/:id/tournament/:tid/season/:sid/statistics?type=overall
GET /api/players/:id/tournament/:tid/season/:sid/ratings?type=overall
GET /api/players/:id/tournament/:tid/season/:sid/summary
```
